libmpdclient 2.9

- Main Page
- Classes
- Files

- File List
- File Members

Functions
directory.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions
mpd_malloc struct mpd_directory * | mpd_directory_dup (const struct mpd_directory *directory)
void | mpd_directory_free (struct mpd_directory *directory)
mpd_pure const char * | mpd_directory_get_path (const struct mpd_directory *directory)
mpd_pure time_t | mpd_directory_get_last_modified (const struct mpd_directory *directory)
mpd_malloc struct mpd_directory * | mpd_directory_begin (const struct mpd_pair *pair)
bool | mpd_directory_feed (struct mpd_directory *directory, const struct mpd_pair *pair)
mpd_malloc struct mpd_directory * | mpd_recv_directory (struct mpd_connection *connection)

## Detailed Description

MPD client library.

Do not include this header directly. Use mpd/client.h instead.

Definition in file directory.h.

## Function Documentation

mpd_malloc struct mpd_directory* mpd_directory_dup | ( | const struct mpd_directory * | directory | ) |
| read

Duplicates a mpd_directory object.

Returns:
  the new object, or NULL on out of memory

void mpd_directory_free | ( | struct mpd_directory * | directory | ) |

Free memory allocated by the mpd_directory object.

mpd_pure const char* mpd_directory_get_path | ( | const struct mpd_directory * | directory | ) |

Returns the path of this directory, relative to the MPD music directory. It does not begin with a slash.

mpd_pure time_t mpd_directory_get_last_modified | ( | const struct mpd_directory * | directory | ) |

Returns:
  the POSIX UTC time stamp of the last modification, or 0 if that is unknown

mpd_malloc struct mpd_directory* mpd_directory_begin | ( | const struct mpd_pair * | pair | ) |
| read

Begins parsing a new directory.

Parameters:

  pair | the first pair in this directory (name must be "directory")

Returns:
  the new mpd_entity object, or NULL on error (out of memory, or pair name is not "directory")

bool mpd_directory_feed | ( | struct mpd_directory * | directory,
|  | const struct mpd_pair * | pair
| ) |  |

Parses the pair, adding its information to the specified mpd_directory object.

Returns:
  true if the pair was parsed and added to the directory (or if the pair was not understood and ignored), false if this pair is the beginning of the next directory

mpd_malloc struct mpd_directory* mpd_recv_directory | ( | struct mpd_connection * | connection | ) |
| read

Receives the next directory from the MPD server.

Returns:
  a mpd_directory object, or NULL on error or if the directory list is finished